Bug 252125 - Review Request: flpsed - WYSIWYG pseudo PostScript editor
Review Request: flpsed - WYSIWYG pseudo PostScript editor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-13 21:16 EDT by Nicholas Boyle
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.5.0-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 18:31:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicholas Boyle 2007-08-13 21:16:47 EDT
Spec URL: http://people.emich.edu/nboyle/flpsed.spec
SRPM URL: http://people.emich.edu/nboyle/flpsed-0.5.0-1.fc7.src.rpm

Description: Flpsed is a WYSIWYG pseudo PostScript editor. "Pseudo", because you can't remove or modify existing elements of a document. Flpsed lets you add arbitrary text lines to existing PostScript 1 documents. Added lines can later be reedited with flpsed. Using pdftops, which is part of xpdf, one can convert PDF documents to PostScript and also add text to them. flpsed is useful for filling in forms, adding notes etc.

This is my first package, so I will be in need of a sponsor.
Comment 1 Ewan Mac Mahon 2007-08-19 19:40:28 EDT
Hi,

I can't sponsor you, I'm afraid, so this is an entirely unofficial review but 
I hope it's useful:

- Licence field is plain GPL; according to 
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines it should be 
versioned; in this case COPYING is GPLv2, and the source makes no mention of 
the 'or any later version' text, so this field should read GPLv2.

- rpmlint is clear except for license problem.

- Buildroot is the older, now second preference version, not really a problem. 
(see: 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473)

- %files includes INSTALL which are just the generic instructions, this is 
considered irrelevant as per 
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b

- This is a GUI application, but does not include a .desktop file. (see: 
http://fedoraproject.org/wiki/Packaging/Guidelines#desktop)

Otherwise it looks OK to to me, and builds in mock for F7 and F-devel.
Comment 2 Nicholas Boyle 2007-08-20 23:07:38 EDT
Thanks for the review Ewan!

Updated stuff:

SPEC: http://people.emich.edu/nboyle/flpsed.spec
SRPM: http://people.emich.edu/nboyle/flpsed-0.5.0-2.fc7.src.rpm

I rolled in all of the suggestions from above.  On the topic of a .desktop file,
I wasn't sure what the convention was if there is no existing icon (and I don't
have the artistic skill to create one :P ), so there is no icon specified.  It
seemed to me a "Requires: [package with a bunch of stock icons]" would be kind
of silly, but of course I could be mistaken.  
Comment 3 Mamoru TASAKA 2007-09-04 14:52:14 EDT
For 0.5.0-2:

* License
  - Well, actually this is "GPLv2+" (GPL version 2 and any later) because
    * The source does not mention any version (even "version 2"). In this case
      The following sentence (in GPL text) is applied.
-------------------------------------------------------------
If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.
-------------------------------------------------------------

* Requires
  - This package actually requires ghostscript and this package should
    have "Requires: ghostscript".


* Before being sponsored:
=============================================================
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)
==============================================================
- Well, it seems that you pre-reviewed bug 253781, however
  I must say that your way of writing (pre-)review makes it
  difficult for reporter, other reviewers etc.. to check your
  comment easily.
  Would you once summarize what the reporter must fix on
  bug 253781?
Comment 4 Jason Tibbitts 2007-09-04 15:30:40 EDT
Note that due to this text:

If the Program does not specify a version number of
this License, you may choose any version ever published by the Free Software
Foundation.

Even GPLv1 is OK, and the License: tag should be "GPL+".
Comment 5 Mamoru TASAKA 2007-09-05 08:23:57 EDT
(In reply to comment #4)
> Even GPLv1 is OK, and the License: tag should be "GPL+".

Thanks, Jason. So would you update your srpm/spec, Nicholas?
Comment 6 Nicholas Boyle 2007-09-05 11:45:21 EDT
Thanks for all the input:

(In reply to comment #3)
> * Requires
>   - This package actually requires ghostscript and this package should
>     have "Requires: ghostscript".

Done

(In reply to comment #4)
> Even GPLv1 is OK, and the License: tag should be "GPL+".

Agreed.  However, to err on the side of caution I've sent an e-mail to upstream
just to make sure how this program is technically licensed is how they
personally intended it to be licensed.  I agree with the GPL+ version, but just
want to confirm that they do as well. :)

As soon as I get the ok (or updated sources with correct license) from upstream,
I will upload and link my latest changes.

Comment 7 Nicholas Boyle 2007-09-07 23:20:04 EDT
Revision 3:

SRPM: http://people.emich.edu/nboyle/flpsed-0.5.0-3.fc7.src.rpm
SPEC: http://people.emich.edu/nboyle/flpsed.spec

All previous suggestions have been implemented. (GPL+, Requires: ghostscript)
Comment 8 Mamoru TASAKA 2007-09-08 08:43:26 EDT
Okay.

* This package is okay (can be rebuilt, installed, and seem to
  work well)
* Your pre-review looks good (for a brief check)

===========================================================
     This package (flpsed) is APPROVED by me
===========================================================

Please follow the procedure according to:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor (at the stage, please also write on
this bug for confirmation that you requested for sponsorship)
Then I will sponsor you.

If you want to import this package into Fedora 7, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on Fedora rebuilding system).

If you have questions, please ask me.
Comment 9 Nicholas Boyle 2007-09-08 10:43:22 EDT
New Package CVS Request
=======================
Package Name: flpsed
Short Description: WYSIWYG pseudo PostScript editor
Owners: nboyle
Branches: FC-6 F-7
InitialCC: 
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2007-09-09 18:17:59 EDT
cvs done.
Comment 11 Fedora Update System 2007-09-10 12:51:34 EDT
flpsed-0.5.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2007-09-18 18:31:37 EDT
flpsed-0.5.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.